curl --request GET \
--url https://api.orbita.melonn.com/sell-orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/sell-orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/sell-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/sell-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/sell-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.orbita.melonn.com/sell-orders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/sell-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1765485926468311,
"internal_order_number": "M1765485926468311",
"external_order_number": "EXTERNAL_NUMBER_002",
"external_order_id": "EXTERNAL_ID_002",
"melonn_tracking_link": "https://d31a8gq0kszthp.cloudfront.net/M1765485926468311",
"payment_on_delivery_amount": null,
"payment_on_delivery_type": null,
"creation_date": "2025-12-11T20:45:28.000Z",
"shipping_method": {
"code": "FP-5",
"name": "Siguiente día hábil local"
},
"warehouse": {
"code": "MED1",
"name": "Medellin #1"
},
"sell_order_state": {
"code": 2,
"name": "All items reserved - ready for fulfillment"
}
},
{
"id": 1765471053187852,
"internal_order_number": "M1765471053187852",
"external_order_number": "EXTERNAL_NUMBER_001",
"external_order_id": "EXTERNAL_ID_001",
"melonn_tracking_link": "https://d31a8gq0kszthp.cloudfront.net/M1765471053187852",
"payment_on_delivery_amount": null,
"payment_on_delivery_type": null,
"creation_date": "2025-12-11T16:37:33.000Z",
"shipping_method": {
"code": "FP-5",
"name": "Siguiente día hábil local"
},
"warehouse": {
"code": "MED1",
"name": "Medellin #1"
},
"sell_order_state": {
"code": 26,
"name": "All items reserved - fulfillment on hold"
}
}
],
"meta_data": {
"page": 0,
"per_page": 10,
"total_count": 2
}
}{
"message": "querystring.per_page must be <= 100"
}Get order list
Returns a page of your sell orders with their basic information. For the full detail of one order (line items, buyer, packages, promises), call Get sell order.
- Results are sorted by
creation_date, newest first by default. - Pagination is zero-based: the first page is
page=0. - All filters are optional and are combined with AND.
external_order_numberis an exact match. Melonn does not enforce uniqueness ofexternal_order_number, so a filter by it can return more than one order.meta_data.total_countis the number of orders returned in this page, not the total number of orders that match the filters. To walk all results, request the next page until a page returns fewer thanper_pageorders.
State codes are listed in Sell order states.
curl --request GET \
--url https://api.orbita.melonn.com/sell-orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orbita.melonn.com/sell-orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orbita.melonn.com/sell-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orbita.melonn.com/sell-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.orbita.melonn.com/sell-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.orbita.melonn.com/sell-orders")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orbita.melonn.com/sell-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1765485926468311,
"internal_order_number": "M1765485926468311",
"external_order_number": "EXTERNAL_NUMBER_002",
"external_order_id": "EXTERNAL_ID_002",
"melonn_tracking_link": "https://d31a8gq0kszthp.cloudfront.net/M1765485926468311",
"payment_on_delivery_amount": null,
"payment_on_delivery_type": null,
"creation_date": "2025-12-11T20:45:28.000Z",
"shipping_method": {
"code": "FP-5",
"name": "Siguiente día hábil local"
},
"warehouse": {
"code": "MED1",
"name": "Medellin #1"
},
"sell_order_state": {
"code": 2,
"name": "All items reserved - ready for fulfillment"
}
},
{
"id": 1765471053187852,
"internal_order_number": "M1765471053187852",
"external_order_number": "EXTERNAL_NUMBER_001",
"external_order_id": "EXTERNAL_ID_001",
"melonn_tracking_link": "https://d31a8gq0kszthp.cloudfront.net/M1765471053187852",
"payment_on_delivery_amount": null,
"payment_on_delivery_type": null,
"creation_date": "2025-12-11T16:37:33.000Z",
"shipping_method": {
"code": "FP-5",
"name": "Siguiente día hábil local"
},
"warehouse": {
"code": "MED1",
"name": "Medellin #1"
},
"sell_order_state": {
"code": 26,
"name": "All items reserved - fulfillment on hold"
}
}
],
"meta_data": {
"page": 0,
"per_page": 10,
"total_count": 2
}
}{
"message": "querystring.per_page must be <= 100"
}Authorizations
Query Parameters
Zero-based page number.
Number of orders per page. Maximum 100.
x <= 100Return only orders whose external order number is exactly this value.
1Return only orders created at or after this date-time (ISO 8601, creation_date >= value).
Return only orders created at or before this date-time (ISO 8601, creation_date <= value).
Return only orders in any of these state codes (see Sell order states).
Send it as a JSON array (sell_order_state_codes=[3,28]), as a repeated parameter
(sell_order_state_codes=3&sell_order_state_codes=28) or as a single code (sell_order_state_codes=3).
Field to sort by. Only creation_date is supported.
creation_date Sort direction.
asc, desc